## ibus-sunpinyin 2.0.2

=== wrapper/ibus/SConstruct ===
import os
import SCons.Tool.textfile

sources = ['src/debug.cpp',
           'src/engine.cpp',
           'src/ibus_portable.cpp',
           'src/imi_ibus_win.cpp',
           'src/main.cpp',
           'src/sunpinyin_config.cpp',
           'src/sunpinyin_engine.cpp',
           'src/sunpinyin_engine_proxy.cpp',
           'src/sunpinyin_lookup_table.cpp',
           'src/sunpinyin_property.cpp']

locales = ['zh_CN']

prefix = '/usr/local'
rpath = ''
cflags = '-O2 -pipe'
version = '2.0.2'

AddOption('--prefix', dest='prefix', type='string', nargs=1, action='store',
          metavar='DIR', help='installation prefix')
AddOption('--rpath', dest='rpath', type='string', nargs=1, action='store',
          metavar='DIR', help='encode rpath in the executables')

if GetOption('prefix') is not None:
    prefix = GetOption('prefix')
if GetOption('rpath') is not None:
    rpath = GetOption('rpath')

data_dir = prefix + '/share/ibus-sunpinyin'
icons_dir = prefix + '/share/ibus-sunpinyin/icons'
bin_dir = prefix + '/lib/ibus-sunpinyin'
gettext_package = 'ibus-sunpinyin'

cflags += ' -DIBUS_SUNPINYIN_LOCALEDIR=\'"%s"\'' % os.path.join(prefix, '/share/locale')
cflags += ' -DIBUS_SUNPINYIN_ICON_DIR=\'"%s"\'' % icons_dir
cflags += ' -DLIBEXECDIR=\'"%s"\'' % bin_dir
cflags += ' -DGETTEXT_PACKAGE=\'"%s"\'' % gettext_package

env = Environment(ENV=os.environ,
                  CFLAGS=cflags, CXXFLAGS=cflags, 
                  CPPPATH=['.'], PREFIX=prefix, SUBSTFILESUFFIX='.in')

if rpath != '':
    env.Append(LINKFLAGS='-Wl,-R -Wl,%s' % rpath)

if 'CC' in os.environ:
    print 'Warning: you\'ve set %s as C compiler' % os.environ['CC']
    env['CC']=os.environ['CC']
    
if 'CXX' in os.environ:
    print 'Warning: you\'ve set %s as C++ compiler' % os.environ['CXX']
    env['CXX']=os.environ['CXX']

#
#==============================configure================================
#
def CheckPKGConfig(context, version='0.12.0'):
    context.Message( 'Checking for pkg-config... ' )
    ret = context.TryAction('pkg-config --atleast-pkgconfig-version=%s' % version)[0]
    context.Result(ret)
    return ret

def CheckPKG(context, name):
    context.Message( 'Checking for %s... ' % name )
    ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
    context.Result(ret)
    return ret

conf = Configure(env, custom_tests={'CheckPKGConfig' : CheckPKGConfig,
                                    'CheckPKG' : CheckPKG })

def DoConfigure():
    if GetOption('clean'):
        return

    if not conf.CheckPKGConfig():
        Exit(1)

    if not conf.CheckPKG('ibus-1.0'):
        Exit(1)

    if not conf.CheckPKG('sunpinyin-2.0'):
        Exit(1)
    env = conf.Finish()
    env.ParseConfig('pkg-config ibus-1.0 sunpinyin-2.0 --libs --cflags')

DoConfigure()

env.Program('ibus-engine-sunpinyin', source=sources)
for locale in locales:
    mo = 'po/%s.mo' % (locale,)
    env.Command(mo, [], 'msgfmt po/%s.po -o %s' % (locale, mo))

# bug of scons...
# it doesn't include textfile builders by default?
SCons.Tool.textfile.generate(env)
sub = {'@LIBEXEC_DIR@': prefix + '/lib/ibus-sunpinyin/',
       '@DATA_DIR@' : data_dir,
       '@ICON_DIR@': icons_dir,
       '@VERSION@' : version,
       '@INSTALL_PREFIX@': prefix}
env.Substfile('data/sunpinyin.xml.in', SUBST_DICT=sub)
env.Substfile('setup/config.py.in', SUBST_DICT=sub)
env.Substfile('setup/ibus-setup-sunpinyin.in', SUBST_DICT=sub)

#
#==============================install================================
#
def DoInstall():
    libexec_target = env.Install(bin_dir, ['ibus-engine-sunpinyin', 
                                           'setup/ibus-setup-sunpinyin'])
    for exec_bin in libexec_target:
        env.AddPostAction(exec_bin, Chmod(str(exec_bin), 0755))
        
    setup_target = env.Install(data_dir + '/setup',
                               ['setup/setup.glade',
                                'setup/main.py',
                                'setup/config.py'])
    icons_target = env.Install(icons_dir,
                               ['icons/cnpunc.svg',
                                'icons/eng.svg',
                                'icons/enpunc.svg',
                                'icons/fullwidth.svg',
                                'icons/halfwidth.svg',
                                'icons/han.svg',
                                'icons/setup.svg',
                                'icons/sunpinyin-logo.png'])
    component_target = env.Install(prefix + '/share/ibus/component',
                                   'data/sunpinyin.xml')
    locale_targets = []
    for locale in locales:
        path = prefix + '/share/locale/%s/LC_MESSAGES/%s.mo' % \
            (locale, gettext_package)
        locale_targets.append(env.InstallAs(path, 'po/%s.mo' % (locale,)))

    env.Alias('install-libexec', [libexec_target, setup_target])
    env.Alias('install-data', [icons_target, component_target])
    env.Alias('install-locale', locale_targets)

DoInstall()
env.Alias('install', ['install-libexec', 'install-data', 'install-locale'])

=== debian/changelog ===
ibus-sunpinyin (2.0.2-0ubuntu1) maverick; urgency=low

  * Initial Ubuntu upload, LP: #631479, LP: #631466

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Mon, 06 Sep 2010 12:27:14 +0100

ibus-sunpinyin (2.0.2-1) experimental; urgency=low

  * Initial release (Closes: #587839)

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 19 Aug 2010 22:47:06 +0800

=== debian/control ===
Source: ibus-sunpinyin
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Liang Guo <bluestonechina@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), scons, pkg-config, libibus-dev, libsunpinyin-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/sunpinyin

Package: ibus-sunpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sunpinyin engine for ibus
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the sunpinyin engine for ibus.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified for ibus-sunpinyin package by 
# Liang Guo <bluestonechina@gmail.com> 2010

SCONS=scons 


build: build-stamp
build-stamp: 
	$(SCONS) -C wrapper/ibus
	touch build-stamp

clean: clean-patched 
clean-patched:
	dh_testdir
	dh_testroot
	$(SCONS) -C wrapper/ibus -c
	-rm wrapper/ibus/.sconsign.dblite wrapper/ibus/config.log
	dh_clean 

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(SCONS) -C wrapper/ibus install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=../../debian/tmp
	dh_install --sourcedir=debian/tmp --fail-missing
	touch install-stamp

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs 
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ibus-sunpinyin 2.0.3

=== SConstruct ===
import os
import SCons.Tool.textfile

sources = ['src/debug.cpp',
           'src/engine.cpp',
           'src/ibus_portable.cpp',
           'src/imi_ibus_win.cpp',
           'src/main.cpp',
           'src/sunpinyin_config.cpp',
           'src/sunpinyin_engine.cpp',
           'src/sunpinyin_engine_proxy.cpp',
           'src/sunpinyin_lookup_table.cpp',
           'src/sunpinyin_property.cpp']

locales = ['zh_CN']

cflags = '-O2 -g -pipe'
version = '2.0.3'

AddOption('--prefix', dest='prefix', metavar='DIR',
          help='installation prefix')
AddOption('--libdir', dest='libdir', metavar='DIR',
          help='installation libdir')
AddOption('--libexecdir', dest='libexecdir', metavar='DIR',
          help='installation libexecdir')
AddOption('--datadir', dest='datadir', metavar='DIR',
          help='installation datadir')
AddOption('--rpath', dest='rpath', metavar='DIR',
          help='encode rpath in the executables')

opts = Variables('configure.conf')
opts.Add('PREFIX', default='/usr/local')
opts.Add('LIBDIR', default='/usr/local/lib')
opts.Add('LIBEXECDIR', default='/usr/local/lib')
opts.Add('DATADIR', default='/usr/local/share')

def PassVariables(envvar, env):
    for (x, y) in envvar:
        if x in os.environ:
            print 'Warning: you\'ve set %s in the environmental variable!' % x
            env[y] = os.environ[x]

env = Environment(ENV=os.environ,
                  CFLAGS=cflags, CXXFLAGS=cflags, 
                  CPPPATH=['.'], SUBSTFILESUFFIX='.in')
opts.Update(env)

if GetOption('prefix') is not None:
    env['PREFIX'] = GetOption('prefix')
    env['LIBDIR'] = env['PREFIX'] + '/lib'
    env['LIBEXECDIR'] = env['PREFIX'] + '/lib/'
    env['DATADIR'] = env['PREFIX'] + '/share/'

if GetOption('libdir') is not None:
    env['LIBDIR'] = GetOption('libdir')

if GetOption('libexecdir') is not None:
    env['LIBEXECDIR'] = GetOption('libexecdir')

if GetOption('datadir') is not None:
    env['DATADIR'] = GetOption('datadir')

opts.Save('configure.conf', env)

if GetOption('rpath') is not None:
    env.Append(LINKFLAGS='-Wl,-R -Wl,%s' % GetOption('rpath'))

envvar = [('CC', 'CC'),
          ('CXX', 'CXX'),
          ('CFLAGS', 'CFLAGS'),
          ('CXXFLAGS', 'CXXFLAGS'),
          ('LDFLAGS', 'LINKFLAGS')]
PassVariables(envvar, env)

data_dir = env['DATADIR'] + '/ibus-sunpinyin'
icons_dir = env['DATADIR'] + '/ibus-sunpinyin/icons'
bin_dir = env['LIBEXECDIR'] + '/ibus-sunpinyin'
gettext_package = 'ibus-sunpinyin'

extra_cflags = ' -DIBUS_SUNPINYIN_LOCALEDIR=\'"%s"\'' % (env['DATADIR'] + '/locale')
extra_cflags += ' -DIBUS_SUNPINYIN_ICON_DIR=\'"%s"\'' % icons_dir
extra_cflags += ' -DLIBEXECDIR=\'"%s"\'' % bin_dir
extra_cflags += ' -DGETTEXT_PACKAGE=\'"%s"\'' % gettext_package

env.Append(CFLAGS=extra_cflags)
env.Append(CXXFLAGS=extra_cflags)

#
#==============================configure================================
#
def CheckPKGConfig(context, version='0.12.0'):
    context.Message( 'Checking for pkg-config... ' )
    ret = context.TryAction('pkg-config --atleast-pkgconfig-version=%s' % version)[0]
    context.Result(ret)
    return ret

def CheckPKG(context, name):
    context.Message( 'Checking for %s... ' % name )
    ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
    context.Result(ret)
    return ret

conf = Configure(env, custom_tests={'CheckPKGConfig' : CheckPKGConfig,
                                    'CheckPKG' : CheckPKG })

def DoConfigure():
    if GetOption('clean'):
        return

    if not conf.CheckPKGConfig():
        Exit(1)

    if not conf.CheckPKG('ibus-1.0'):
        Exit(1)

    if not conf.CheckPKG('sunpinyin-2.0'):
        Exit(1)
    env = conf.Finish()
    env.ParseConfig('pkg-config ibus-1.0 sunpinyin-2.0 --libs --cflags')

DoConfigure()

env.Program('ibus-engine-sunpinyin', source=sources)
for locale in locales:
    mo = 'po/%s.mo' % (locale,)
    env.Command(mo, [], 'msgfmt po/%s.po -o %s' % (locale, mo))

# bug of scons...
# it doesn't include textfile builders by default?
SCons.Tool.textfile.generate(env)
sub = {'@LIBEXEC_DIR@': bin_dir,
       '@DATA_DIR@' : data_dir,
       '@ICON_DIR@': icons_dir,
       '@VERSION@' : version,
       '@INSTALL_PREFIX@': env['PREFIX']}
env.Substfile('data/sunpinyin.xml.in', SUBST_DICT=sub)
env.Substfile('setup/config.py.in', SUBST_DICT=sub)
env.Substfile('setup/ibus-setup-sunpinyin.in', SUBST_DICT=sub)

#
#==============================install================================
#
def DoInstall():
    libexec_target = env.Install(bin_dir, ['ibus-engine-sunpinyin', 
                                           'setup/ibus-setup-sunpinyin'])
    for exec_bin in libexec_target:
        env.AddPostAction(exec_bin, Chmod(str(exec_bin), 0755))
        
    setup_target = env.Install(data_dir + '/setup',
                               ['setup/setup.glade',
                                'setup/main.py',
                                'setup/config.py'])
    icons_target = env.Install(icons_dir,
                               ['icons/cnpunc.svg',
                                'icons/eng.svg',
                                'icons/enpunc.svg',
                                'icons/fullwidth.svg',
                                'icons/halfwidth.svg',
                                'icons/han.svg',
                                'icons/setup.svg',
                                'icons/sunpinyin-logo.png'])
    component_target = env.Install(env['DATADIR'] + '/ibus/component',
                                   'data/sunpinyin.xml')
    locale_targets = []
    for locale in locales:
        path = env['DATADIR'] + '/locale/%s/LC_MESSAGES/%s.mo' % \
            (locale, gettext_package)
        locale_targets.append(env.InstallAs(path, 'po/%s.mo' % (locale,)))

    env.Alias('install-libexec', [libexec_target, setup_target])
    env.Alias('install-data', [icons_target, component_target])
    env.Alias('install-locale', locale_targets)

DoInstall()
env.Alias('install', ['install-libexec', 'install-data', 'install-locale'])

=== data/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sunpinyin.xml.in
               ${CMAKE_CURRENT_BINARY_DIR}/sunpinyin.xml)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sunpinyin.xml
    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/ibus/component")

=== po/CMakeLists.txt ===
include(Gettext)

set(POT_SRCS
    ../src/main.cpp
    ../src/sunpinyin_property.cpp
    ../setup/setup.glade)
set(LANGS zh_CN)
set(POT_FILE ${CMAKE_CURRENT_BINARY_DIR}/${GETTEXT_PACKAGE}.pot)

if (GETTEXT_FOUND)
    GETTEXT_CREATE_POT(${POT_FILE} OPTION ${XGETTEXT_OPTIONS} SRC ${POT_SRCS})
    GETTEXT_CREATE_TRANSLATIONS(${POT_FILE} ALL ${LANGS}
                                COMMENT "Creating translations.")
endif()

=== setup/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.py.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.py)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ibus-setup-sunpinyin.in
               ${CMAKE_CURRENT_BINARY_DIR}/ibus-setup-sunpinyin
               @ONLY)
install(FILES setup.glade main.py
              ${CMAKE_CURRENT_BINARY_DIR}/config.py
    DESTINATION "${DATA_DIR}/setup")
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ibus-setup-sunpinyin
    DESTINATION ${LIBEXEC_DIR})

=== src/CMakeLists.txt ===
# CMakeLists.txt: cmake config file for ibus-sunpinyin

find_package(GTK2 REQUIRED gtk)
find_package(iBus 1.2 REQUIRED)
find_package(SunPinyin 2.0 REQUIRED)

include_directories(${GTK2_INCLUDE_DIRS} ${iBus_INCLUDE_DIRS} ${SunPinyin_INCLUDE_DIRS})
set(LIBS ${LIBS} ${GTK2_LIBRARIES} ${iBus_LIBRARIES} ${SunPinyin_LIBRARIES})
set(ENGINE_SRCS
    main.cpp
    engine.cpp 
    pointer.h ibus_common.h
    imi_ibus_win.cpp imi_ibus_win.h
    sunpinyin_config_keys.h
    sunpinyin_config.cpp sunpinyin_config.h
    sunpinyin_engine.cpp sunpinyin_engine.h
    sunpinyin_engine_proxy.cpp sunpinyin_engine_proxy.h
    sunpinyin_lookup_table.cpp sunpinyin_lookup_table.h
    sunpinyin_property.cpp sunpinyin_property.h)

set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
add_executable(ibus-engine-sunpinyin ${ENGINE_SRCS})
target_link_libraries(ibus-engine-sunpinyin ${LIBS})

install(TARGETS ibus-engine-sunpinyin
    RUNTIME DESTINATION ${LIBEXEC_DIR})

=== debian/changelog ===
ibus-sunpinyin (2.0.3-5build3) zesty; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2017 15:48:14 +0000

ibus-sunpinyin (2.0.3-5build2) xenial; urgency=medium

  * No change rebuild with the new libsunpinyin soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Feb 2016 11:08:11 +0100

ibus-sunpinyin (2.0.3-5build1) saucy; urgency=low

  * No-change rebuild against ibus 1.5

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Jul 2013 21:44:11 -0400

ibus-sunpinyin (2.0.3-5) unstable; urgency=low

  * Team upload.
  * Fix libexecdir. Closes: #712583

 -- Osamu Aoki <osamu@debian.org>  Wed, 19 Jun 2013 23:50:51 +0900

ibus-sunpinyin (2.0.3-4) unstable; urgency=low
  
  [YunQiang Su]
  * Rewrite debian/rules with dh 7 format.
  * Fix URL in debian/watch.
  * Add YunQiang Su to uploaders.
  * Bump to standard 3.9.3.

  [Liang Guo]
  * Add ${python:Depends} to Depends.
  * Add python to Build-Depends.
  * Call dh with python2.
  * Update Format in debian/copyright
  
 -- Liang Guo <bluestonechina@gmail.com>  Thu, 05 Apr 2012 21:09:49 +0800

ibus-sunpinyin (2.0.3-3) unstable; urgency=low

  * debian/copyright:
    - Update Format, add version information
    - Add Upstream-Contact
  * debian/control:
    - Add python-glade2 to depends(Closes: #649235)

 -- Liang Guo <bluestonechina@gmail.com>  Wed, 28 Dec 2011 23:20:49 +0800

ibus-sunpinyin (2.0.3-2) unstable; urgency=low

  * Add libibus-1.0-dev to build-depends, Remove libibus-dev(Closes: #640714)
  * Add build-arch and build-indep in debian/rules
  * Bump Standards-Version to 3.9.2
  * Update debian/copyright to fit DEP-5
  * Move git repository from collab-maint to pkg-ime,
    Update Vcs-* fields in debian/control
  
 -- Liang Guo <bluestonechina@gmail.com>  Fri, 09 Sep 2011 13:59:54 +0800

ibus-sunpinyin (2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.3.
  * Upload to unstable.
  * Update VCS field in debian/control.
  * Remove README.source, it's no meaning now.

 -- Liang Guo <bluestonechina@gmail.com>  Sat, 19 Feb 2011 16:35:54 +0800

=== debian/rules ===
#!/usr/bin/make -f
# Liang Guo <bluestonechina@gmail.com> 2010
# YunQiang Su <wzssyqa@gmail.com>, 2012
export DH_VERBOSE=1
SCONS=scons 

%:
	dh $@ --with python2

override_dh_auto_configure:

override_dh_auto_build:
	$(SCONS) --prefix=$(DEB_DESTDIR)/usr

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS)  -c
	rm -f .sconsign.dblite config.log configure.conf

override_dh_auto_install:
	$(SCONS) install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=debian/tmp

=== debian/watch ===
version=3
http://code.google.com/p/sunpinyin/downloads/list .*/ibus-sunpinyin-*\.*(.*)\.tar\.gz

## ibus-sunpinyin 2.0.3+git20181120

=== CMakeLists.txt ===
# CMakeLists.txt: cmake config file for ibus-sunpinyin

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0005 NEW)
endif(COMMAND cmake_policy)

cmake_minimum_required(VERSION 2.6)
project(SUNPINYIN)

set(PACKAGE             ibus-sunpinyin)
set(GETTEXT_PACKAGE     ${PACKAGE})
set(PACKAGE_NAME        ${PACKAGE})
set(PACKAGE_BUGREPORT   "sunpinyin-developers@googlegroups.com")
set(PACKAGE_TARNAME     ${PACKAGE})
set(VERSION             "2.0.2")
set(PACKAGE_VERSION     ${VERSION})
set(PACKAGE_STRING      "${PACKAGE} ${VERSION}")

include(Paths)

install(DIRECTORY icons
    DESTINATION "${DATA_DIR}")

add_subdirectory (src)
add_subdirectory (setup)
add_subdirectory (data)
add_subdirectory (po)

=== SConstruct ===
--- 
+++ 
@@ -1,5 +1,4 @@
 import os
-import SCons.Tool.textfile
 
 sources = ['src/debug.cpp',
            'src/engine.cpp',
@@ -14,7 +13,7 @@
 
 locales = ['zh_CN']
 
-cflags = '-O2 -g -pipe'
+cflags = '-O2 -g -pipe '
 version = '2.0.3'
 
 AddOption('--prefix', dest='prefix', metavar='DIR',
@@ -42,7 +41,8 @@
 
 env = Environment(ENV=os.environ,
                   CFLAGS=cflags, CXXFLAGS=cflags, 
-                  CPPPATH=['.'], SUBSTFILESUFFIX='.in')
+                  CPPPATH=['.'],
+                  tools=['default', 'textfile'])
 opts.Update(env)
 
 if GetOption('prefix') is not None:
@@ -61,9 +61,6 @@
     env['DATADIR'] = GetOption('datadir')
 
 opts.Save('configure.conf', env)
-
-if GetOption('rpath') is not None:
-    env.Append(LINKFLAGS='-Wl,-R -Wl,%s' % GetOption('rpath'))
 
 envvar = [('CC', 'CC'),
           ('CXX', 'CXX'),
@@ -84,6 +81,9 @@
 
 env.Append(CFLAGS=extra_cflags)
 env.Append(CXXFLAGS=extra_cflags)
+
+if GetOption('rpath') is not None:
+    env.Append(LINKFLAGS=' -Wl,-R -Wl,%s' % GetOption('rpath'))
 
 #
 #==============================configure================================
@@ -125,9 +125,6 @@
     mo = 'po/%s.mo' % (locale,)
     env.Command(mo, [], 'msgfmt po/%s.po -o %s' % (locale, mo))
 
-# bug of scons...
-# it doesn't include textfile builders by default?
-SCons.Tool.textfile.generate(env)
 sub = {'@LIBEXEC_DIR@': bin_dir,
        '@DATA_DIR@' : data_dir,
        '@ICON_DIR@': icons_dir,
@@ -147,7 +144,7 @@
         env.AddPostAction(exec_bin, Chmod(str(exec_bin), 0755))
         
     setup_target = env.Install(data_dir + '/setup',
-                               ['setup/setup.glade',
+                               ['setup/setup.xml',
                                 'setup/main.py',
                                 'setup/config.py'])
     icons_target = env.Install(icons_dir,
@@ -173,3 +170,5 @@
 
 DoInstall()
 env.Alias('install', ['install-libexec', 'install-data', 'install-locale'])
+
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
                ${CMAKE_CURRENT_BINARY_DIR}/sunpinyin.xml)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sunpinyin.xml
     DESTINATION "${CMAKE_INSTALL_PREFIX}/share/ibus/component")
+
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,3 +24,5 @@
 
 install(TARGETS ibus-engine-sunpinyin
     RUNTIME DESTINATION ${LIBEXEC_DIR})
+
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4

=== debian/changelog ===
ibus-sunpinyin (2.0.3+git20181120-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:09 +0100

ibus-sunpinyin (2.0.3+git20181120-5) unstable; urgency=high

  * Team upload.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
  * debian/patches/0004-SConstruct-Fix-python3-compatibility.patch:
    Fix compatibility with scons 3.1.2+. (Closes: #947565)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jan 2020 12:59:01 -0500

ibus-sunpinyin (2.0.3+git20181120-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/0003-Fix-upstream-issue-85: Rework again on the
    patch to fix issues introduced in the previous uploads. (really
    really closes: #929078).

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Jun 2019 13:40:06 -0400

ibus-sunpinyin (2.0.3+git20181120-3) unstable; urgency=high

  * Team upload.
  * debian/patches/0003-Fix-upstream-issue-85: Rework on the patch
    to fix issues introduced in the previous upload. (really
    closes: #929078).

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Jun 2019 12:07:21 -0400

ibus-sunpinyin (2.0.3+git20181120-2) unstable; urgency=high

  * Team upload.
  * debian/patches: Cherry-pick upstream patch to fix crashing
    when trying to save user settings. (Closes: #929078)

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Jun 2019 12:41:17 -0400

ibus-sunpinyin (2.0.3+git20181120-1) unstable; urgency=medium

  * Team upload.
  * New upstream git snapshot 20181120. (Closes: #883309)
    + Initially keep complete compatibility with python3 and
      gir1.2-ibus-1.0. (Closes: #769560)
  * debian: Apply "wrap-and-sort -abst".
  * debian/control:
    + Update maintainer and use Debian Input Method Team email address.
      (Closes: #899547)
    + Update uploaders' email addresses and use @debian.org ones.
    + Update Vcs-* fields and use git repo under Salsa Debian Input
      Method Team group.
    + Update homepage and use GitHub project.
    + Bump Standards-Version to 4.2.1.
    + Bump debhelper compat to v11.
    + Update dependencies and use the python3 toolchain.
      (Closes: #883154, #885307)
  * debian/rules:
    + Enable full hardening.
    + Use "dh_missing --fail-missing".
  * debian/watch: Removed, useless.
  * Debian/changelog: Remove trailing spaces.
  * debian/patches:
    - Remove append-os-environ-toenv.patch, merged upstream.
    + Add patch to use python3 in ibus-setup-sunpinyin script.
    + Refresh patches.
  * debian/copyright:
    + Refresh copyright information and fix grammar errors.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Nov 2018 15:38:43 -0500

=== debian/control ===
Source: ibus-sunpinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Liang Guo <guoliang@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 gir1.2-gtk-3.0,
 gir1.2-ibus-1.0,
 gobject-introspection,
 libibus-1.0-dev,
 libsunpinyin-dev (>= 2.0.3+git20120222-1~),
 pkg-config,
 python3:any,
 python3-gi,
 scons,
Standards-Version: 4.4.1
Homepage: https://github.com/sunpinyin/sunpinyin/tree/master/wrapper/ibus
Vcs-Git: https://salsa.debian.org/input-method-team/ibus-sunpinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-sunpinyin

Package: ibus-sunpinyin
Architecture: any
Depends:
 gir1.2-gtk-3.0,
 sunpinyin-data,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: sunpinyin engine for ibus
 Sunpinyin is a statistical language model (SLM) based input method
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the sunpinyin engine for ibus.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,25 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+#
 # Liang Guo <bluestonechina@gmail.com> 2010
 # YunQiang Su <wzssyqa@gmail.com>, 2012
-export DH_VERBOSE=1
-SCONS=scons 
+#
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# see ENVIRONMENT in dpkg-buildflags(1)
+# package maintainers to append CFLAGS
+#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# package maintainers to append LDFLAGS
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+SCONS=scons
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_configure:
 
@@ -19,3 +33,6 @@
 
 override_dh_auto_install:
 	$(SCONS) install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=debian/tmp
+
+override_dh_missing:
+	dh_missing --fail-missing

## ibus-sunpinyin 2.0.3+git20210228

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
                                 COMMENT "Creating translations.")
 endif()
 
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4

=== setup/CMakeLists.txt ===
--- 
+++ 
@@ -8,3 +8,5 @@
     DESTINATION "${DATA_DIR}/setup")
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ibus-setup-sunpinyin
     DESTINATION ${LIBEXEC_DIR})
+
+# -*- indent-tabs-mode: nil -*- vim:et:ts=4

=== debian/changelog ===
ibus-sunpinyin (2.0.3+git20210228-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:21 +1100

ibus-sunpinyin (2.0.3+git20210228-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:07:28 +0000

ibus-sunpinyin (2.0.3+git20210228-1) unstable; urgency=medium

  * Team upload.
  * Import upstream embedded commit (20210228).
  * Remove Liang Guo from the uploaders list. (Closes: #961615)
    Thanks for all your work!
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Add versioned ibus dependency (>= 1.5.22-2)
    for libexecdir.
  * debian/rules: Drop --as-needed and useless override.
  * debian/patches:
    + Drop upstream-applied patches.
    + Update libexec patch following recent ibus update.
      (Closes: #955241)

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Jun 2022 13:39:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ibus-sunpinyin
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
- Liang Guo <guoliang@debian.org>,
  YunQiang Su <syq@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  gir1.2-gtk-3.0,
  gir1.2-ibus-1.0,
@@ -14,10 +14,10 @@
  libibus-1.0-dev,
  libsunpinyin-dev (>= 2.0.3+git20120222-1~),
  pkg-config,
+ python3-gi,
  python3:any,
- python3-gi,
  scons,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/sunpinyin/sunpinyin/tree/master/wrapper/ibus
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-sunpinyin.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-sunpinyin
@@ -26,6 +26,7 @@
 Architecture: any
 Depends:
  gir1.2-gtk-3.0,
+ ibus (>= 1.5.22-2),
  sunpinyin-data,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 SCONS=scons
 
@@ -26,13 +26,9 @@
 override_dh_auto_build:
 	$(SCONS) --prefix=$(DEB_DESTDIR)/usr
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(SCONS)  -c
 	rm -f .sconsign.dblite config.log configure.conf
 
 override_dh_auto_install:
 	$(SCONS) install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=debian/tmp
-
-override_dh_missing:
-	dh_missing --fail-missing
